tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Charlotte Binns" <Charlotte.Bi...@tate.org.uk>
Subject RE: Cannot create JDBC driver of class error occurs when upgrading from tomcat-6.0.33 to tomcat 6.0.35
Date Tue, 13 Dec 2011 09:54:42 GMT
Thanks Mark,

That was it - very basic mistake. Thanks for spotting that. 


Charlotte Binns 
IS Technical Architect
 


-----Original Message-----
From: Mark Eggers [mailto:its_toasted@yahoo.com] 
Sent: 13 December 2011 03:19
To: Tomcat Users List
Subject: Re: Cannot create JDBC driver of class error occurs when upgrading from tomcat-6.0.33
to tomcat 6.0.35

>________________________________
> From: Charlotte Binns <Charlotte.Binns@tate.org.uk>
>To: Tomcat Users List <users@tomcat.apache.org>
>Sent: Monday, December 12, 2011 7:16 AM
>Subject: RE: Cannot create JDBC driver of class error occurs when 
>upgrading from tomcat-6.0.33 to tomcat 6.0.35
> 
>Hi Chuck,
>
>Thank you so much for you quick response.
>
>For the server.xml I added quite a lot but this is exactly the same as 
>my server.xml from 6.0.33. I have added the server.xml file but edited 
>sensitive information from it.
>
>For the web.xml all I have added extra are the following lines:
>
>    <servlet-mapping>
>    <servlet-name>jsp</servlet-name>
>    <url-pattern>*.html</url-pattern>
>    </servlet-mapping>
>
>    <mime-mapping>
>        <extension>shtm</extension>
>        <mime-type>text/html</mime-type>
>    </mime-mapping>
>
><error-page>
>   <exception-type>java.lang.Throwable</exception-type>
>   <location>/error.jsp</location>
></error-page>
>
>For the tomcat-users - this is for testing only for use with probe and 
>manager. Once everything is working this will be removed.
>
>The mysql jar file is located in $Catalina-home/lib directory for 
>global use.
>
>I am using java-1.6.0-openjdk-1.6.0.0-1.23.1.9.10.el5_7
>java-1.6.0-openjdk-devel-1.6.0.0-1.23.1.9.10.el5_7
>
>And
>kernel-2.6.18-274.12.1.el5
>kernel-devel-2.6.18-274.12.1.el5
>kernel-headers-2.6.18-274.12.1.el5
>
>Thanks again
>
>Charlotte Binns
>IS Technical Architect

>
>
>-----Original Message-----
>From: Caldarale, Charles R [mailto:Chuck.Caldarale@unisys.com] 
>Sent: 12 December 2011 14:49
>To: Tomcat Users List
>Subject: RE: Cannot create JDBC driver of class error occurs when
>upgrading from tomcat-6.0.33 to tomcat 6.0.35
>
>> From: Charlotte Binns [mailto:Charlotte.Binns@tate.org.uk]
>> Subject: Cannot create JDBC driver of class error occurs when 
>> upgrading from tomcat-6.0.33 to tomcat 6.0.35
>
>> I added all my configuration to server.xml/web.xml
>
>Exactly what did you change there?
>
>> and tomcat-users.xml
>
>Not suitable for a production environment.
>
>> then copied in my web applications and /tomcat/conf/Catalina/localhost
>
>> xml files required for my web applications.
>
>And where did you put the MySQL driver jar?



Hmm - try switching DriverClassName to driverClassName in your server.xml file for the MySQL
databases, unless that's a typo when you changed sensitive information.

just my two cents . . . .
/mde/

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org



---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message